---
updatedAt: 2025-09-10T20:43:04.000Z
agentTools:
  projectIndex: https://docs.rigado.com/llms.txt
---

# /sites/{name}/gateways/{serial}/unmute

Unmutes a gateway in a site

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "Edge Direct is Rigado's set of tools for provisioning gateways, orchestrating updates, and monitoring performance.\n\nAll endpoints require API Key authentication. Keys can be obtained with the Rigado CLI. Token and secret are set in these two headers:\n\n`X-Rigado-API-Token` and `X-Rigado-API-Secret`\n\nRequests are then made to `https://api.rigado.com/v1` followed by the resource path you are requesting.\n\nResponses are always in JSON, except for errors, which are returned as strings with an appropriate status code.\n\nExample:\n\n`curl -H \"X-Rigado-API-Token: token\" -H \"X-Rigado-API-Secret: secret\" https://api.rigado.com/v1/apps`\n\nFor a more in-depth guide on using API keys, see https://docs.rigado.com/en/legacy/edge-direct/apikey.html",
    "title": "Rigado Edge Direct API",
    "license": {
      "name": "All rights reserved"
    },
    "version": "1.0-75db578e"
  },
  "paths": {
    "/sites/{name}/gateways/{serial}/unmute": {
      "post": {
        "security": [
          {
            "api_secret": [],
            "api_token": []
          }
        ],
        "description": "Unmutes a gateway in a site",
        "tags": [
          "sites"
        ],
        "operationId": "unmuteSiteGateway",
        "parameters": [
          {
            "description": "The Site's name",
            "name": "name",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The gateway serial number",
            "name": "serial",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Gateway was unmuted"
          },
          "400": {
            "description": "Unable to read site name or gateway serial"
          },
          "401": {
            "description": "Unauthorized"
          },
          "403": {
            "description": "Forbidden, organization does not support Sites feature"
          },
          "404": {
            "description": "Gateway not found, gateway not assigned to site or site not found"
          },
          "500": {
            "description": "Internal error"
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api.rigado.com/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "api_secret": {
        "type": "apiKey",
        "name": "X-Rigado-API-Secret",
        "in": "header"
      },
      "api_token": {
        "type": "apiKey",
        "name": "X-Rigado-API-Token",
        "in": "header"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```